<?php

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['overview_kostenstellen.year'])) $_SESSION['overview_kostenstellen.year'] = 0;

function gebiete()
{
  $sql = "SELECT id,gebiet FROM gebiet ORDER BY id";
  $sth = pg_query($sql);

  $result = array();
  while ($row = pg_fetch_assoc($sth))
    $result[] = sprintf("%d: '%s'", $row['id'], $row['gebiet']);

  return '{' . implode(', ', $result) . '}';
}

$mask = array(
	      'table' => 'kostenstellen',
	      'title' => 'Übersicht nach Kostenstellen',
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['overview_kostenstellen.year'],
				'onchange' => "setvar(this,'year',select_year_calback,select_year_status)",
				),
	      'variables' => array(
				   'year' => array(),
				   ),
 	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'width' => 60,
					    'sql' => 'kostenstellen.id',
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'sql' => 'kostenstellen.gebiet',
					    'control' => "new Rico.TableColumn.lookup(".gebiete().", 0, '')",
					    'width' => 220,
					    'specs' => "filterUI: 's'",
					    ),
			      'kostenstelle' => array(
					    'name' => 'Gewässer',
					    'sql' => "kostenstellen.kostenstelle",
					    'width' => 220,
					    'specs' => "filterUI: 't'",
					    ),
			      'laenge' => array(
					    'name' => 'Länge',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignrightpad', canSort: false",
					    'width' => 60,
					    'visible' => false,
					    ),
			      'personalstunden' => array(
					    'name' => 'Personalstunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignrightpad', canSort: false",
					    'width' => 60,
					    'sql' => "(SELECT sum(stunden) FROM einsatzpersonal WHERE einsatz IN " .
						     "(SELECT id FROM einsatz WHERE kostenstelle = kostenstellen.id " .
						     "AND date_part('year', datum) = " . $_SESSION['overview_kostenstellen.year'] . "))",
					    ),
			      'geraetstunden' => array(
					    'name' => 'Gerätestunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignrightpad', canSort: false",
					    'width' => 60,
					    'sql' => "(SELECT sum(stunden) FROM einsatzgeraete WHERE einsatz IN " .
						     "(SELECT id FROM einsatz WHERE kostenstelle = kostenstellen.id " .
						     "AND date_part('year', datum) = " . $_SESSION['overview_kostenstellen.year'] . "))",
					    ),
			      'stdlfdm' => array(
					    'name' => 'Stunden pro lfdm',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignrightpad', canSort: false",
					    'width' => 60,
					    'sql' => "((SELECT sum(stunden) FROM einsatzpersonal WHERE einsatz IN " .
						     "(SELECT id FROM einsatz WHERE kostenstelle = kostenstellen.id " .
						     "AND date_part('year', datum) = " . $_SESSION['overview_kostenstellen.year'] . ")) + ".
						     "(SELECT sum(stunden) FROM einsatzgeraete WHERE einsatz IN " .
						     "(SELECT id FROM einsatz WHERE kostenstelle = kostenstellen.id " .
						     "AND date_part('year', datum) = " . $_SESSION['overview_kostenstellen.year'] . "))) / laenge",
					    ),
			      ),
	      );

?>
